### Method

# WebKit FormSubmissionRequest list_text_fields

since: 2.20

#### Declaration [src]

    gboolean
    webkit_form_submission_request_list_text_fields (
      WebKitFormSubmissionRequest* request,
      GPtrArray** field_names,
      GPtrArray** field_values
    )

#### Description [src]

Get lists of the text fields contained in the form associated to `request`.

Get lists with the names and values of the text fields contained in the form associated to `request`. Note that names and values may be `NULL`.

If this function returns `FALSE`, then both `field_names` and `field_values` will be empty.

Available since: 2.20

#### Parameters

`field_names`

  Type: An array of `utf8`

  names of the text fields in the form.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.
  Each element is a NUL terminated UTF-8 string.

`field_values`

  Type: An array of `utf8`

  values of the text fields in the form.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the form contains text fields, or `FALSE` otherwise.